在Plesk服务器上更改PHP版本

2020年12月30日11:26:22 发表评论 47 次浏览

介绍

了解如何使用Plesk更改服务器的PHP版本。本教程包括有关如何查找Plesk服务器正在使用的PHP版本, 更改为其他PHP版本以及在必要时安装其他PHP版本的说明。

对于任何带有Plesk的服务器, 应始终通过Plesk接口升级和管理PHP之类的应用程序。请按照本教程中的说明学习如何更新PHP, 或切换到与当前使用的PHP不同的版本。

要求

  • 装有Plesk(任何操作系统)和PHP的服务器。

默认情况下, PHP已在标准Linux安装中安装并运行。如果你的服务器是使用最小安装创建的, 则在继续操作之前, 需要安装和配置PHP。

本教程使用"高级用户"视图。你可以通过单击来更改Plesk视图变更检视在左侧列的底部。

防火墙访问

如果你有防火墙, 则需要允许访问端口8447.

有关在Cloud Server上使用防火墙的更多信息, 请查阅我们关于该主题的文档.

检查当前的PHP版本

要查看域正在使用的PHP的当前版本, 请单击网站和域名然后找到你要检查的域。

在Plesk服务器上更改PHP版本
在Plesk服务器上更改PHP版本

PHP版本显示在域的详细信息中。

在Plesk服务器上更改PHP版本
在Plesk服务器上更改PHP版本

更改PHP版本

点击PHP设置你要更改的域。

在Plesk服务器上更改PHP版本
在Plesk服务器上更改PHP版本

这将带你到PHP设置域的页面。点击下拉菜单, 查看可用的PHP版本。

在Plesk服务器上更改PHP版本
在Plesk服务器上更改PHP版本

在这种情况下, 服务器具有可用的PHP版本7.0.22、5.6.30、7.0.19和7.1.5。

在Plesk服务器上更改PHP版本
在Plesk服务器上更改PHP版本

如果所需的PHP版本在下拉菜单中列出, 请选择它。然后滚动到页面底部, 然后单击应用保存更改。

在Plesk服务器上更改PHP版本
在Plesk服务器上更改PHP版本

如果未列出所需的PHP版本, 请按照下一节中的说明进行安装。

安装其他PHP版本

要更改PHP版本, 请转到工具与设定.

Plesk上的PHP:工具和设置
Plesk上的PHP:工具和设置

请点击普列斯克>更新和升级.

Plesk上的PHP:工具和设置
Plesk上的PHP:工具和设置

请点击添加/删除组件.

Plesk上的PHP:添加/删除组件
Plesk上的PHP:添加/删除组件

单击以展开+虚拟主机菜单。

Plesk上的PHP:网络托管
Plesk上的PHP:网络托管

单击以展开+ PHP解释器版本菜单。

Plesk上的PHP:PHP解释器版本
Plesk上的PHP:PHP解释器版本

选择你要安装的PHP版本。在此示例中, 我们将升级到PHP 5.5版本。

Plesk上的PHP:PHP解释器版本
Plesk上的PHP:PHP解释器版本

单击下拉菜单, 然后单击安装选择此版本。

Plesk上的PHP:PHP解释器版本
Plesk上的PHP:PHP解释器版本

现在已将版本添加到安装列表中, 向下滚动并单击继续.

Plesk上的PHP:继续
Plesk上的PHP:继续

Plesk将开始安装新版本。此过程可能需要一段时间, 具体取决于要安装/升级的软件包的大小和数量。

Plesk上的PHP:安装过程
Plesk上的PHP:安装过程

安装过程完成后, 单击OK.

Plesk上的PHP:安装过程
Plesk上的PHP:安装过程
一盏木

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: